Subject: [ippm] Request feedbacks for draft-wang-ippm-stamp-hbh-extensions-02

From: wangyali <[email-masked]>
Date: Mon, 23 Nov 2020 10:32:19 +0000

Hello WG,

Many thanks for all valuable comments from folks during IETF109. Accordingly, I updated this draft to address all questions and comments, and defined three new TLVs for HbH Packet Loss, HbH BW Utilization TLV, HbH Timestamp Information TLV.

Since there's no time to present all changes from -01 to -02 in IETF109, I list all comments and inputs received on the list as follows. Comments and questions are always welcome. I appreciate if WG could give a guidance on the next step.

Comments and Inputs on the List:

·         Link bandwidth utilization is also an important indicator. Definition of  a new Link Bandwidth Utilization TLV in this draft (comment from Hongwei Yang)

·         The specification of the HbH also for packet loss and definition of a new HbH packet loss TLV (comment from Giuseppe Fioccola)

·         In addition to IOAM, other telemetry data (e.g. alternate marking) could be transmitted by STAMP optional TLV extensions (comment from Giuseppe Fioccola)

·         Specify the source of clock synchronization and the method of timestamp obtained at the intermediate node (comment from Chang Liu)

·         Definition of a new HbH Timestamp Information TLV (comment from Chang Liu)

Best regards,

Yali

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Sunday, November 15, 2020 12:03 PM
To: Chang Liu <[email-masked]>; Tianran Zhou <[email-masked]>; wangyali <[email-masked]>; Hongwei Yang <[email-masked]>
Subject: New Version Notification for draft-wang-ippm-stamp-hbh-extensions-02.txt

A new version of I-D, draft-wang-ippm-stamp-hbh-extensions-02.txt

has been successfully submitted by Yali Wang and posted to the IETF repository.

Name:                  draft-wang-ippm-stamp-hbh-extensions

Revision:              02

Title:                      Simple Two-way Active Measurement Protocol Extensions for Hop-by-Hop OAM Data Collection

Document date:               2020-11-15

Group:                  Individual Submission

Pages:                   16

URL:            https://www.ietf.org/archive/id/draft-wang-ippm-stamp-hbh-extensions-02.txt

Status:         https://datatracker.ietf.org/doc/draft-wang-ippm-stamp-hbh-extensions/

Htmlized:       https://datatracker.ietf.org/doc/html/draft-wang-ippm-stamp-hbh-extensions

Htmlized:       https://tools.ietf.org/html/draft-wang-ippm-stamp-hbh-extensions-02

Diff:           https://www.ietf.org/rfcdiff?url2=draft-wang-ippm-stamp-hbh-extensions-02

Abstract:

   This document defines optional TLVs which are carried in Simple Two-

   way Active Measurement Protocol (STAMP) test packets to enhance the

   STAMP base functions.  Such extensions to STAMP enable OAM data

   measurement and collection at every node and link along a STAMP test

   packet's delivery path without maintaining a state for each

   configured STAMP-Test session at every devices.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat